Test HTTP Request
curl --request POST \
--url http://127.0.0.1:3333/v3/bots/{id}/blocks/{blockId}/test-http-request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"variables": [
{
"id": "<string>",
"name": "<string>",
"isSessionVariable": true,
"value": "<string>"
}
]
}
'import requests
url = "http://127.0.0.1:3333/v3/bots/{id}/blocks/{blockId}/test-http-request"
payload = { "variables": [
{
"id": "<string>",
"name": "<string>",
"isSessionVariable": True,
"value": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
variables: [{id: '<string>', name: '<string>', isSessionVariable: true, value: '<string>'}]
})
};
fetch('http://127.0.0.1:3333/v3/bots/{id}/blocks/{blockId}/test-http-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}{
"message": "<string>"
}Testing
Test HTTP Request
Test HTTP Request block.
POST
/
v3
/
bots
/
{id}
/
blocks
/
{blockId}
/
test-http-request
Test HTTP Request
curl --request POST \
--url http://127.0.0.1:3333/v3/bots/{id}/blocks/{blockId}/test-http-request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"variables": [
{
"id": "<string>",
"name": "<string>",
"isSessionVariable": true,
"value": "<string>"
}
]
}
'import requests
url = "http://127.0.0.1:3333/v3/bots/{id}/blocks/{blockId}/test-http-request"
payload = { "variables": [
{
"id": "<string>",
"name": "<string>",
"isSessionVariable": True,
"value": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
variables: [{id: '<string>', name: '<string>', isSessionVariable: true, value: '<string>'}]
})
};
fetch('http://127.0.0.1:3333/v3/bots/{id}/blocks/{blockId}/test-http-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Default Response
⌘I